//----------------------------------------------------------------------------
// 
//	file: spikecodetest.cc
// 
//	function: test spikecode 
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Mon Mar 15 00:45:28 CST 1999
// 
//	$Revision: 1.1 $ $Date: 2000/01/30 14:55:55 $
//	$Log: spikecodetest.cc,v $
//	Revision 1.1  2000/01/30 14:55:55  yschoe
//	Initial revision
//
//
//----------------------------------------------------------------------------
#include <iostream.h>
#include <nnview/spike-code.h>
#include <nnview/matrix.h>
#include <nnview/real.h>
#include <math.h>

int main(int argc, char *argv[]) {

  if (argc!=3) {
	cout << "usage: spikecodetest <bits> <decay>\n";
	exit(1);
  }

  int  bits  = atoi(argv[1]);
  REAL decay = atof(argv[2]);
  // cout << "decay = " << decay << endl;
  // cout << "bits  = " << bits << endl;

  REAL *ntable = init_normalized_leaky_table(bits,decay);
  REAL *table =  init_leaky_table(bits,decay);

  int idx = 0x1;
  // cout << " i " << " " << "normlized" << " " << "unnormalized" << endl;
  // cout << 0 << " " << ntable[0] << " " << table[0] << endl;
  REAL nsum = 0.0, tsum = 0.0;
  for (int i=1; i<=(int)(pow(2.0,bits)-1); ++i) {
	cout << i << " " << ntable[idx] << " " << table[idx] << endl;
	nsum += ntable[idx];
	tsum += table[idx];
	idx = idx++;
  }	

  cout << "nsum = " << nsum << ", tsum = " << tsum << endl;

}
  
