# sinmat(N,freq,theta) : return [x,s] sin grating with given frequency 
#	and orientation
#	N : size of vector

function sm = sinmat (N,freq,theta)

  sm = zeros(N,N);

  rad = theta * 3.141592 / 180.0;

  freq_radian_scale = freq * 2 * 3.141592/N;

  rot_mat = [ cos(rad) -sin(rad); sin(rad) cos(rad) ];
  inv_rot_mat = inv(rot_mat);

  [x,s] = sinvec(N,freq);

  for i=1:N; 	
  	for j=1:N; 	
		r = (inv_rot_mat * [j i]')';
		sm(i,j) = sin(r(1,1) * freq_radian_scale);
	endfor
  endfor

endfunction

